### A free/open-source library for quantitative finance

Classes
ql/pricingengines/asian/mc_discr_geom_av_price.hpp File Reference

Monte Carlo engine for discrete geometric average price Asian. More...

`#include <ql/pricingengines/asian/mcdiscreteasianengine.hpp>`
`#include <ql/termstructures/volatility/equityfx/blackconstantvol.hpp>`
`#include <ql/termstructures/volatility/equityfx/blackvariancecurve.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for mc_discr_geom_av_price.hpp:

## Classes

class | MCDiscreteGeometricAPEngine< RNG, S >
| Monte Carlo pricing engine for discrete geometric average price Asian. More...

## Detailed Description

Monte Carlo engine for discrete geometric average price Asian.